Bug 256901 - No working way to disable background for gnome-settings-daemon
No working way to disable background for gnome-settings-daemon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
8
All All
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 11:55 EDT by Thomas Woerner
Modified: 2008-03-14 11:11 EDT (History)
0 users

See Also:
Fixed In Version: 2.20.1-5.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 00:16:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for gnome-settings-daemon to honour /desktop/gnome/background/draw_background (804 bytes, text/x-patch)
2007-11-12 08:23 EST, Thomas Woerner
no flags Details
Here is the patch for the spec file (1.23 KB, text/x-patch)
2007-11-12 08:34 EST, Thomas Woerner
no flags Details

  None (edit)
Description Thomas Woerner 2007-08-27 11:55:57 EDT
Description of problem:
There is no working way to disable background for gnome-settings-daemon.
Everythime gnome-settings-daemon is started, the background/root will be drawn.
Setting /desktop/gnome/background/draw_background to false has no effect. If
/desktop/gnome/background/picture_filename is set, this picture will be drawn;
if it is not set, then a gradient or a solid color will be painted in the root
window.
gnome-settings-daemon is needed for gtk applications to use the proper font
rendering even if gnome is not used at all.

Version-Release number of selected component (if applicable):
control-center-2.19.90-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start without a desktop or with a window manager only
2. Start gnome-settings-daemon
3. Watch at the root window
  
Actual results:
Background is drawn - always.

Expected results:
No drawing in the root window.

Additional info:
This is also a problem in F-7.
Comment 1 Ray Strode [halfline] 2007-08-27 11:58:19 EDT
seems nothing looks at the key, and the schema for the key is in libgnome which
is sort of funky
Comment 2 Thomas Woerner 2007-11-12 07:33:59 EST
This is still a problem for F-8.
Comment 3 Thomas Woerner 2007-11-12 08:23:51 EST
Created attachment 255201 [details]
patch for gnome-settings-daemon to honour /desktop/gnome/background/draw_background
Comment 4 Thomas Woerner 2007-11-12 08:26:21 EST
Can you please add this patch for control-center for F7+?
Comment 5 Thomas Woerner 2007-11-12 08:34:55 EST
Created attachment 255211 [details]
Here is the patch for the spec file
Comment 6 Ray Strode [halfline] 2007-11-12 12:03:26 EST
feel free to commit it, otherwise, i'll commit it some time this week.
Comment 7 Fedora Update System 2007-11-14 22:29:53 EST
control-center-2.20.1-5.1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update control-center'
Comment 8 Fedora Update System 2008-02-13 00:16:35 EST
control-center-2.20.1-5.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.